summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorruki <[email protected]>2019-08-24 21:08:29 +0800
committerruki <[email protected]>2019-08-24 21:08:29 +0800
commit5050520d20fb41fc61a0a7a294b34617e6737932 (patch)
treef20f561c94dc02681416ebbec9648bab7ddb4eb5 /scripts
parent3fd6fc731109c138f3eb2cfcc4700c9004921e2c (diff)
add display name to bitcode files
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/archive-all.sh2
-rwxr-xr-xscripts/get.sh2
-rwxr-xr-xscripts/makeself/build-runfile.sh2
3 files changed, 3 insertions, 3 deletions
diff --git a/scripts/archive-all.sh b/scripts/archive-all.sh
index 144c68f92..1cdb6c29c 100755
--- a/scripts/archive-all.sh
+++ b/scripts/archive-all.sh
@@ -18,7 +18,7 @@ git submodule foreach git clean -dfX
# copy files to tmpdir/xmake
mkdir -p $tmpdir/xmake/scripts
cd $tmpdir/repo || exit
-xmake l -v private.utils.bcsave -x 'scripts/**|templates/**' xmake || exit
+xmake l -v private.utils.bcsave --rootname='@programdir' -x 'scripts/**|templates/**' xmake || exit
cp -r ./core $tmpdir/xmake
cp -r ./xmake $tmpdir/xmake/xmake
cp ./scripts/get.sh $tmpdir/xmake/scripts
diff --git a/scripts/get.sh b/scripts/get.sh
index 10ccf544a..5ae3f8513 100755
--- a/scripts/get.sh
+++ b/scripts/get.sh
@@ -143,7 +143,7 @@ fi
# make bytecodes
export XMAKE_PROGRAM_DIR=$projectdir/xmake
-$projectdir/core/src/demo/demo.b l -v private.utils.bcsave -x 'scripts/**|templates/**' $projectdir/xmake || my_exit 'generate bytecode failed!'
+$projectdir/core/src/demo/demo.b l -v private.utils.bcsave --rootname='@programdir' -x 'scripts/**|templates/**' $projectdir/xmake || my_exit 'generate bytecode failed!'
export XMAKE_PROGRAM_DIR=
# do install
diff --git a/scripts/makeself/build-runfile.sh b/scripts/makeself/build-runfile.sh
index 45fa2ccd2..4527da46a 100755
--- a/scripts/makeself/build-runfile.sh
+++ b/scripts/makeself/build-runfile.sh
@@ -20,7 +20,7 @@ git submodule foreach git clean -dfX
# copy files to tmpdir/xmake
mkdir -p $tmpdir/xmake/scripts
cd $tmpdir/repo || exit
-xmake l -v private.utils.bcsave -x 'scripts/**|templates/**' xmake || exit
+xmake l -v private.utils.bcsave --rootname='@programdir' -x 'scripts/**|templates/**' xmake || exit
cp -r ./xmake $tmpdir/xmake/xmake
cp -r ./core $tmpdir/xmake
cp ./scripts/get.sh $tmpdir/xmake/scripts